//+------------------------------------------------------------------+
//|                                                   Hotkey Buy.mq4 |
//|                            Copyright  2006, Archer Trading, LLC |
//|                                     http://www.archertrading.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Archer Trading, LLC"
#property link      "http://www.archertrading.net"
#include <stdlib.mqh>

extern int TakeProfit = 20;
extern int StopLoss = 20;
extern int Slippage = 3;                   
extern double Lots = 5.0; 

int start()
  {
   int ticket = 0;
   int err = 0;
   int SL = 0;
   int TP = 0;


   while(true)
   {
    SL = Ask - StopLoss*Point;
    TP = Ask + TakeProfit*Point; 
    ticket = OrderSend(Symbol(),OP_BUY,Lots,Ask,Slippage,SL,TP,"HotKeyBuy",0,0,Blue);
    if(ticket == -1)
    {
     err=GetLastError();
     Print("Error(",err,"): ",ErrorDescription(err));
     if(err == 129 || err == 138 || err == 135)
     {
      RefreshRates();
     }
    }
    if(ticket == -1)
    {
     err=GetLastError();
     Print("Error(",err,"): ",ErrorDescription(err));
     if(err==134)
     { 
      break; 
     }
     Print("Retrying BUY entry.");
     ticket = OrderSend(Symbol(),OP_BUY,Lots,Ask,Slippage,SL,TP,"HotKeyBuy",0,0,Blue);
     if(ticket == -1)
     {
      err=GetLastError();
      Print("Retrying BUY error(",err,"): ",ErrorDescription(err));
     } 
    if(ticket > 0)
    {
     Print("BUY order placed at: " + Ask + ", ticket: " + ticket + ", current price: " + Bid);
    }
    return(0);   
   }
  }
  return(0);
 }

